| Home | Libraries | People | FAQ | More

## Type definition resource_adaptor

resource_adaptor

## Synopsis

    // In header: <boost/container/pmr/resource_adaptor.hpp>

    typedef resource_adaptor_imp< typename allocator_traits< Allocator >::template rebind_alloc< char > > resource_adaptor;

## Description

`resource_adaptor<Allocator>` is rendered as an alias to resource_adaptor_imp class template such that Allocator is rebound to a char value type.